Subject: bug#50674: Major mode for etc/AUTHORS with basic font-locking

From: Juri Linkov <[email-masked]>
Date: Mon, 20 Sep 2021 09:41:45 +0300

>> Isn't generic-x.el a more suitable place for such small modes?
>
> The problem I see is that this does not use `define-generic-mode',
> unlike the other modes in there, and also I'm not sure it makes sense to
> drop autoloaded functions in there.  AFAIU, that file and its modes is
> supposed to be optional (not that I agree that they should be).

I really see no difference from etc-authors-mode and e.g.
etc-fstab-generic-mode defined in generic-x.el by define-generic-mode.
And still it can be autoloaded like c++-mode-syntax-table used to be autoloaded.